Loading...
Searching...
No Matches
Osmocom logging internals

## Files

file | logging_internal.h

## Functions

void | assert_loginfo (const char *src)

## Variables

void * | tall_log_ctx
struct log_info * | osmo_log_info
const struct value_string | loglevel_strs []
struct llist_head | osmo_log_target_list

## Detailed Description

## Function Documentation

## assert_loginfo()

void assert_loginfo | ( | const char * | src | ) |

References OSMO_ASSERT, and osmo_log_info.

Referenced by log_check_level(), log_parse_category(), log_parse_category_mask(), and log_target_create().

## Variable Documentation

## loglevel_strs

const struct value_string loglevel_strs[]

extern

Referenced by log_level_str(), and log_parse_level().

## osmo_log_info

struct log_info* osmo_log_info

extern

## osmo_log_target_list

struct llist_head osmo_log_target_list

extern

Referenced by LLIST_HEAD(), log_add_target(), log_cache_update(), log_cache_update_all(), log_check_level(), log_fini(), log_target_find(), log_targets_reopen(), and osmo_vlogp().

## tall_log_ctx

void* tall_log_ctx

extern

Referenced by log_fini(), log_init(), and log_target_create().